Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451190 - Review Request: gl2ps - An OpenGL to PostScript printing library
Summary: Review Request: gl2ps - An OpenGL to PostScript printing library
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 11:00 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2008-07-15 12:17 UTC (History)
2 users (show)

Fixed In Version: 1.3.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 12:17:45 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2008-06-13 11:00:46 UTC
Spec URL: http://rathann.fedorapeople.org/review/gl2ps.spec
SRPM URL: http://rathann.fedorapeople.org/review/gl2ps-1.3.2-1.fc9.src.rpm
Description:
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

Comment 1 Jason Tibbitts 2008-06-14 19:53:42 UTC
builds fine; rpmlint says:
  W: invalid-license GL2PS
This is OK; the GL2PS license was recently added to the Licensing page and
rpmlint simply hasn't caught up.
  gl2ps-static.x86_64: W: no-documentation
Not a problem.

I'm not really sure why a static package is needed, but that's up to you.

This package is kind of odd, lacking any kind of build system.  It seems to me
that what you have is fine.  There are a few options which you might consider
turning on, like ZLIB and PNG support, though.  Again, completely up to you.

Unfortunately I can't comment on the Polish documentation at all.

The BuildRoot is incorrect; it must at least include %{release}, and should be
one of the recommend versions from
http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* source files match upstream:
   97bbca9974291e1cc4d173890ef5265eb5f050ad8b48125992f321215c905cfb  
   gl2ps-1.3.2.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
X build root lacks %{release}.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   libgl2ps.so.0()(64bit)
   gl2ps = 1.3.2-1.fc10
  =
   /sbin/ldconfig
   libGL.so.1()(64bit)
   libgl2ps.so.0()(64bit)

  gl2ps-devel-1.3.2-1.fc10.x86_64.rpm
   gl2ps-devel = 1.3.2-1.fc10
  =
   gl2ps = 1.3.2-1.fc10
   libGL-devel
   libgl2ps.so.0()(64bit)

  gl2ps-static-1.3.2-1.fc10.x86_64.rpm
   gl2ps-static = 1.3.2-1.fc10
  =
   gl2ps-devel = 1.3.2-1.fc10

* %check is not present; no test suite upstream.
* shared libraries installed; ldconfig is properly called.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (ldconfig)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* no pkgconfig files.
* static libraries are in the -static package.
* no libtool .la files.

Honestly my only real complaint is the BuildRoot, which is a trivial fix. 
Please fix it when you check in.

APPROVED

Comment 2 Dominik 'Rathann' Mierzejewski 2008-06-17 16:18:53 UTC
New Package CVS Request
=======================
Package Name: gl2ps
Short Description: An OpenGL to PostScript printing library
Owners: rathann
Branches: F-9 F-8 EL-5
InitialCC:
Cvsextras Commits: yes


Comment 3 Dominik 'Rathann' Mierzejewski 2008-06-17 16:19:03 UTC
I'll fix that and talk to upstream about at least a Makefile if not a
full-fledged build-system. Thanks for the review.


Comment 4 Kevin Fenzi 2008-06-17 17:10:59 UTC
cvs done.

Comment 5 Fedora Update System 2008-07-13 00:43:28 UTC
gl2ps-1.3.2-1.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-07-13 01:09:17 UTC
gl2ps-1.3.2-1.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-07-15 12:15:42 UTC
gl2ps-1.3.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-15 12:17:43 UTC
gl2ps-1.3.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.